<?php

require_once (dirname(__FILE__).'/core/init.php');

list($category, $template, $popup) = GET('id, template, popup');

// Decoding requested categories
list ($requested_cats, $is_in_category) = cn_get_requested_cats($category, $ucat, $nocategory);

if (!$template) $template = 'default';
$ent = db_news_load(db_get_nloc($category));

if ($is_in_category )  
{
    $template = "GoldNews";                    
    $number =10;
    // --- Determine what user want to do ---
    hook('show_news/determs_before');

     $allow_active_news = true;
    

    hook('show_news/determs_after');

    // Main operations
    include SERVDIR . '/core/includes/dispatcher.php';
}
